from rocolib.api.components.Component import newComponent
from rocolib.library import save
from rocolib.api.Function import Function

c = newComponent("MountedServo")

c.addSubcomponent("mount", "ServoMount", inherit=True, prefix=None)
c.addSubcomponent("servo", "ServoMotor", inherit=True, prefix=None)

c.inheritAllInterfaces("mount", prefix=None)
c.inheritAllInterfaces("servo", prefix=None)
c.addConnection(("mount", "mount.decoration"),
                ("servo", "mount"))

save(c, True)
