import pytest
import logging
from rocolib.library import getComponent, pyComponents, yamlComponents, rebuild, rebuildComponent


def test_rebuild(c = None):
    if c:
        rebuildComponent(c)
    else:
        rebuild()

@pytest.mark.parametrize("component",pyComponents.keys())
def test_component_python(component):
    getComponent(component).test()

@pytest.mark.parametrize("component",yamlComponents.keys())
def test_component_yaml(component):
    getComponent(component).test()

if __name__ == "__main__":
    logging.basicConfig(level=logging.INFO)
    test_rebuild()
